# module GxG::Support::Library::IOPrepare

### Public Instance Methods

process_params_classes_error() click to toggle source

    # File lib/gxg/gxg_io.rb, line 761
    def process_params_classes_error()
      "you MUST specify an IO :object or a :file_descriptor Fixnum"
    end

process_params_classes_valid() click to toggle source

    # File lib/gxg/gxg_io.rb, line 758
    def process_params_classes_valid()
      [::IO, ::GxG::IO::IO, ::StringIO, ::GxG::IO::StringIO, ::Numeric]
    end

process_params_default_object(the_object=nil) click to toggle source

    # File lib/gxg/gxg_io.rb, line 755
    def process_params_default_object(the_object=nil)
      the_object
    end